Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class DataTableRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.SortingFilteringRowsRenderer
                      org.richfaces.renderkit.AbstractTableBaseRenderer
                          org.richfaces.renderkit.AbstractTableRenderer
                              org.richfaces.renderkit.DataTableRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.richfaces.renderkit.MetaComponentRenderer

    public class DataTableRenderer

extends AbstractTableRenderer

Author:
  Anton Belevich

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.renderkit.AbstractTableRenderer
`AbstractTableRenderer.SimpleHeaderEncodeStrategy`

Field Summary

Fields inherited from class org.richfaces.renderkit.AbstractTableRenderer
`HIDDEN_CONTAINER_ID`

Fields inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer
`BREAK_ROW_BEFORE, CELL_CLASS_KEY, COLUMN_CLASS, FIRST_ROW_CLASS_KEY, ROW_CLASS, ROW_CLASS_KEY`

Constructor Summary
`DataTableRenderer()`

Method Summary
`boolean` | `containsThead()`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
`protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
`void` | `encodeAfterRows(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase, boolean encodeParentTBody, boolean partialUpdate)`
`void` | `encodeBeforeRows(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase, boolean encodeParentTBody, boolean partialUpdate)`
`void` | `encodeCaption(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, AbstractDataTable dataTable)`
`void` | `encodeClientScript(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, UIDataTableBase dataTableBase)`
`void` | `encodeHiddenInput(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDataTableBase component)`
`boolean` | `encodeParentTBody(UIDataTableBase dataTableBase)`
`void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase holder)`
`void` | `encodeTableStructure(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, UIDataTableBase dataTable)`
`String` | `getCaptionSkinClass()`
`String` | `getCellSkinClass()`
`String` | `getColumnFooterCellSkinClass()`
`String` | `getColumnFooterFirstSkinClass()`
`String` | `getColumnFooterSkinClass()`
`String` | `getColumnHeaderCellSkinClass()`
`String` | `getColumnHeaderFirstSkinClass()`
`String` | `getColumnHeaderSkinClass()`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`String` | `getFirstRowSkinClass()`
`String` | `getFooterCellSkinClass()`
`String` | `getFooterFirstSkinClass()`
`String` | `getFooterSkinClass()`
`String` | `getHeaderCellSkinClass()`
`EncodeStrategy` | `getHeaderEncodeStrategy(javax.faces.component.UIComponent column, String facetName)`
`String` | `getHeaderFirstSkinClass()`
`String` | `getHeaderSkinClass()`
`EncodeStrategy` | `getHiddenContainerStrategy(UIDataTableBase dataTableBase)`
`String` | `getNoDataCellClass()`
`String` | `getNoDataClass()`
`String` | `getRowSkinClass()`
`String` | `getTableBodySkinClass()`
`String` | `getTableSkinClass()`

Methods inherited from class org.richfaces.renderkit.AbstractTableRenderer
`createRowHolder, decodeMetaComponent, doEncodeChildren, encodeColumnFacet, encodeFooterFacet, encodeHeaderFacet, encodeHiddens, encodeMetaComponent, encodeNoDataFacetOrLabel, encodeTableBodyEnd, encodeTableBodyStart, encodeTableEnd, encodeTableFacet, encodeTableFacets, encodeTableRows, encodeTableStart, isColumnAttributeSet, isEncodeHeaders, mergeStyleClasses, partialEnd, partialStart, putRowStylesIntoContext`

Methods inherited from class org.richfaces.renderkit.AbstractTableBaseRenderer
`encodeColumn, encodeColumnEnd, encodeColumnStart, encodeFakeRow, encodeFirstRowEnd, encodeFirstRowStart, encodeRowEnd, encodeRowStart, encodeStyle, encodeStyleClass, getCellClass, getCellElement, getColumnsCount, getFirstRowClass, getRowClass, isEmpty, isEmptyAttr, saveRowStyles, setCellElement`

Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer
`decodeFiltering, decodeSorting, decodeSortingFiltering, updateAttribute`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`doCleanup, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataTableRenderer

    public DataTableRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `AbstractTableRenderer`

### encodeTableStructure

    public void encodeTableStructure(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext context,
                                     UIDataTableBase dataTable)
                              throws IOException

  Overrides:
    `encodeTableStructure` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeBeforeRows

    public void encodeBeforeRows(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext facesContext,
                                 UIDataTableBase dataTableBase,
                                 boolean encodeParentTBody,
                                 boolean partialUpdate)
                          throws IOException

  Overrides:
    `encodeBeforeRows` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeAfterRows

    public void encodeAfterRows(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext facesContext,
                                UIDataTableBase dataTableBase,
                                boolean encodeParentTBody,
                                boolean partialUpdate)
                         throws IOException

  Overrides:
    `encodeAfterRows` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeRow

    public void encodeRow(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext facesContext,
                          RowHolderBase holder)
                   throws IOException

  Specified by:
    `encodeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### encodeParentTBody

    public boolean encodeParentTBody(UIDataTableBase dataTableBase)

  Specified by:
    `encodeParentTBody` in class `AbstractTableRenderer`

### doEncodeBegin

    protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)
                          throws IOException

  Description copied from class: `RendererBase`
  Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `encodeBegin` method.

  Overrides:
    `doEncodeBegin` in class `RendererBase`
  Throws:
    `IOException`

### doEncodeEnd

    protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Description copied from class: `RendererBase`
  Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `encodeEnd` method.

  Overrides:
    `doEncodeEnd` in class `RendererBase`
  Throws:
    `IOException`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### encodeCaption

    public void encodeCaption(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              AbstractDataTable dataTable)
                       throws IOException

  Throws:
    `IOException`

### getHeaderEncodeStrategy

    public EncodeStrategy getHeaderEncodeStrategy(javax.faces.component.UIComponent column,
                                                  String facetName)

  Specified by:
    `getHeaderEncodeStrategy` in class `AbstractTableRenderer`

### containsThead

    public boolean containsThead()

  Specified by:
    `containsThead` in class `AbstractTableRenderer`

### encodeClientScript

    public void encodeClientScript(javax.faces.context.ResponseWriter writer,
                                   javax.faces.context.FacesContext facesContext,
                                   UIDataTableBase dataTableBase)
                            throws IOException

  Specified by:
    `encodeClientScript` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### encodeHiddenInput

    public void encodeHiddenInput(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext context,
                                  UIDataTableBase component)
                           throws IOException

  Specified by:
    `encodeHiddenInput` in class `AbstractTableRenderer`
  Throws:
    `IOException`

### getTableSkinClass

    public String getTableSkinClass()

  Specified by:
    `getTableSkinClass` in class `AbstractTableRenderer`

### getCaptionSkinClass

    public String getCaptionSkinClass()

### getRowSkinClass

    public String getRowSkinClass()

  Specified by:
    `getRowSkinClass` in class `AbstractTableRenderer`

### getFirstRowSkinClass

    public String getFirstRowSkinClass()

  Specified by:
    `getFirstRowSkinClass` in class `AbstractTableRenderer`

### getCellSkinClass

    public String getCellSkinClass()

  Specified by:
    `getCellSkinClass` in class `AbstractTableRenderer`

### getHeaderSkinClass

    public String getHeaderSkinClass()

  Specified by:
    `getHeaderSkinClass` in class `AbstractTableRenderer`

### getHeaderFirstSkinClass

    public String getHeaderFirstSkinClass()

  Specified by:
    `getHeaderFirstSkinClass` in class `AbstractTableRenderer`

### getHeaderCellSkinClass

    public String getHeaderCellSkinClass()

  Specified by:
    `getHeaderCellSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderSkinClass

    public String getColumnHeaderSkinClass()

  Specified by:
    `getColumnHeaderSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderFirstSkinClass

    public String getColumnHeaderFirstSkinClass()

  Specified by:
    `getColumnHeaderFirstSkinClass` in class `AbstractTableRenderer`

### getColumnHeaderCellSkinClass

    public String getColumnHeaderCellSkinClass()

  Specified by:
    `getColumnHeaderCellSkinClass` in class `AbstractTableRenderer`

### getColumnFooterSkinClass

    public String getColumnFooterSkinClass()

  Specified by:
    `getColumnFooterSkinClass` in class `AbstractTableRenderer`

### getColumnFooterFirstSkinClass

    public String getColumnFooterFirstSkinClass()

  Specified by:
    `getColumnFooterFirstSkinClass` in class `AbstractTableRenderer`

### getColumnFooterCellSkinClass

    public String getColumnFooterCellSkinClass()

  Specified by:
    `getColumnFooterCellSkinClass` in class `AbstractTableRenderer`

### getFooterSkinClass

    public String getFooterSkinClass()

  Specified by:
    `getFooterSkinClass` in class `AbstractTableRenderer`

### getFooterFirstSkinClass

    public String getFooterFirstSkinClass()

  Specified by:
    `getFooterFirstSkinClass` in class `AbstractTableRenderer`

### getFooterCellSkinClass

    public String getFooterCellSkinClass()

  Specified by:
    `getFooterCellSkinClass` in class `AbstractTableRenderer`

### getNoDataClass

    public String getNoDataClass()

  Specified by:
    `getNoDataClass` in class `AbstractTableRenderer`

### getNoDataCellClass

    public String getNoDataCellClass()

  Specified by:
    `getNoDataCellClass` in class `AbstractTableRenderer`

### getTableBodySkinClass

    public String getTableBodySkinClass()

  Specified by:
    `getTableBodySkinClass` in class `AbstractTableRenderer`

### getHiddenContainerStrategy

    public EncodeStrategy getHiddenContainerStrategy(UIDataTableBase dataTableBase)

  Specified by:
    `getHiddenContainerStrategy` in class `AbstractTableRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.